import { useEffect } from 'react';
import {IStore} from '@proscom/prostore/lib/IStore';

/**
 * Подписка на стор, чтобы актуализировать локальную копию
 */
export function useConnectStore<State>(store: IStore<State>, setState: (state: State) => any) {
  useEffect(() => {
    const sub = store.state$.subscribe((state: State) => {
      setState(state);
    });
    return () => {
      sub.unsubscribe();
    };
  }, [store, setState]);
}

